Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82213 - Please remove version number from %doc path.
Summary: Please remove version number from %doc path.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm-build
Version: 8.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-19 23:49 UTC by Han-Wen Nienhuys
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-20 15:01:43 UTC


Attachments (Terms of Use)

Description Han-Wen Nienhuys 2003-01-19 23:49:25 UTC
Description of problem:

tagging files with %doc puts them into /usr/share/doc/<package>-<version>
I want to ask if <version> can be removed from the directory name: 

since it is not (or should not) be possible to install multiple versions of the
same package alongside each other, <version> does not serve a purpose.

The <version> does make it a lot harder to refer to standardized file locations
 for packages. If <version> were not present, it would be possible to write the
following in a webpage:

  After installing package foo, you will find installed doco by clicking
  <a href=file:///usr/share/doc/foo/index.html>here</a>

The version number makes this rather painful.

If there is a reason for this, then  I would appreciate this being documented. 
I have searched in vain for it (actually: a manual with packaging policies for
RedHat would be much appreciated, MaximumRPM and the HOWTO don't cut it: they're
too low on details.)

Thanks.

Han-Wen Nienhuys

Comment 1 Jeff Johnson 2003-01-20 15:01:43 UTC
Look at %docdir.


Note You need to log in before you can comment on or make changes to this bug.